## org.eclipse.datatools.modelbase.dbdefinition
Class ProcedureType

    java.lang.Object
      AbstractEnumerator
          org.eclipse.datatools.modelbase.dbdefinition.ProcedureType

    public final class ProcedureType

extends AbstractEnumerator

A representation of the literals of the enumeration 'Procedure Type', and utility methods for working with them.

See Also:
  `DatabaseDefinitionPackage.getProcedureType()`

Field Summary
`static int` `FUNCTION` The 'FUNCTION' literal value.
`static ProcedureType` `FUNCTION_LITERAL` The 'FUNCTION' literal object.
`static int` `PROCEDURE` The 'PROCEDURE' literal value.
`static ProcedureType` `PROCEDURE_LITERAL` The 'PROCEDURE' literal object.
`static java.util.List` `VALUES` A public read-only list of all the 'Procedure Type' enumerators.

Method Summary
`static ProcedureType` `get(int value)` Returns the 'Procedure Type' literal with the specified integer value.
`static ProcedureType` `get(java.lang.String literal)` Returns the 'Procedure Type' literal with the specified literal value.
`static ProcedureType` `getByName(java.lang.String name)` Returns the 'Procedure Type' literal with the specified name.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROCEDURE

    public static final int PROCEDURE

  The 'PROCEDURE' literal value.

  See Also:
    `PROCEDURE_LITERAL`, Constant Field Values

### FUNCTION

    public static final int FUNCTION

  The 'FUNCTION' literal value.

  See Also:
    `FUNCTION_LITERAL`, Constant Field Values

### PROCEDURE_LITERAL

    public static final ProcedureType PROCEDURE_LITERAL

  The 'PROCEDURE' literal object.

  If the meaning of 'PROCEDURE' literal object isn't clear, there really should be more of a description here...

  See Also:
    `PROCEDURE`

### FUNCTION_LITERAL

    public static final ProcedureType FUNCTION_LITERAL

  The 'FUNCTION' literal object.

  If the meaning of 'FUNCTION' literal object isn't clear, there really should be more of a description here...

  See Also:
    `FUNCTION`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Procedure Type' enumerators.

Method Detail

### get

    public static ProcedureType get(java.lang.String literal)

  Returns the 'Procedure Type' literal with the specified literal value.

### getByName

    public static ProcedureType getByName(java.lang.String name)

  Returns the 'Procedure Type' literal with the specified name.

### get

    public static ProcedureType get(int value)

  Returns the 'Procedure Type' literal with the specified integer value.

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.